/*
 Theme Name:   VeriTrace
 Theme URI:    https://veritrace.com/
 Description:  The VeriTrace theme, a child of GeneratePress.
 Author:       Eric Karkovack
 Author URI:   https://www.karks.com
 Template:     generatepress
 Version:      0.1
*/

a:focus {
	outline: 2px dashed var(--contrast-3);
	outline-offset: 2px;
}

.wp-block-separator {
    border-top-color: var(--accent);
	width: 50%;
	margin-left: auto;
	margin-right: auto;
}

hr {
  	background-color: var(--accent);
}

.current-menu-item > a, .current-page-parent > a {
	text-decoration: underline;
  	text-decoration-color: var(--accent);
	text-decoration-thickness: 2px;
	text-underline-offset: 5px;
}

ul ul .current-menu-item > a {
	text-decoration-color: var(--base);
}

.search article {
	border-bottom: 1px dashed var(--accent);
	margin-bottom: 1.5rem;
	padding-bottom: 1.5rem;
}

h2.entry-title {
	margin-bottom: 0.5rem;
}

.entry-content:not(:first-child), .entry-summary:not(:first-child), .page-content:not(:first-child) {
  	margin-top: 0;
}

.entry-content p {
	margin-bottom: 1.3em;
}

.no-margin-bottom {
	margin-bottom: 0 !important;
}

.wp-block-button__link {
	border: 2px solid var(--contrast-3);
	border-radius: 6px;
}

:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) {
	background-color: transparent;
	border: none;
	padding: 4px;
}

/* Gravity Forms */
.gf-two-col-layout .gform_fields {
  display: grid !important;
  grid-template-columns: 1fr 1fr !important;
  gap: 80px !important;
  align-items: start !important;
}

.gf-two-col-layout .gf-column {
  display: flex !important;
  flex-direction: column !important;
  gap: 20px !important;
}

.gf-two-col-layout .gsection {
  margin-top: 0 !important;
}

.gf-two-col-layout .gform_fields {
	position: relative;
}

.gf-two-col-layout .gform_fields::after {
	content: "";
	position: absolute;
	top: 0;
	bottom: 0;
	left: 50%;
	width: 1px;
	background: var(--accent);
	transform: translateX(-50%);
}

.gf-two-col-layout .gform_footer {
  display: flex;
  justify-content: center;
}

/* Soliloquy Slider Custom Styles */

.soliloquy-container .soliloquy-caption .soliloquy-caption-inside {
	background: rgba(0,0,0,.0) !important;
	font-size: 1em;
	font-weight: bold;
	line-height: 1.25;
	display: block;
	color: #333 !important;
	text-shadow: 0 0px 0px #000 !important;
	text-align: center;
	padding: 10px;
}

#soliloquy-container-72_1 {
	max-height: none !important;
}
#soliloquy-container-72_1 .soliloquy-caption {
	position: relative !important;
}

/* Draw Attention Custom Styles */
.leaflet-rrose-content h2 {
	font-size: 1.3rem;
	text-transform: none;
}


/* Responsive Styles */
@media (min-width: 768px) and (max-width: 1240px) {

	.inside-header, .site-content .content-area, .footer-inner-grid, .home-intro-inner {
		width: 96%;
		max-width: 96%;
		margin: auto;
	}
	
}

@media (max-width: 767px) {

	.veritrace-interactive {
		width: 99%;
	 }

	 .wp-container-core-social-links-is-layout-fdcfc74e {
		justify-content: center !important;
	}

	 .gf-two-col-layout .gform_fields {
		grid-template-columns: 1fr !important;
	}

	.gf-two-col-layout .gform_fields::after {
		content: none;
	}

  .vt-peel-wrap canvas {
    width: 100% !important;
    height: auto !important;
    max-height:fit-content !important;
  }

}